#/bin/bash
# Build LASP on Arch Linux, assuming we start in a clean docker container.
# After that, test stuff.
# Assumptions
# - CWD is root of lasp repository
# - Nothing is installed

# Stop on first error
set -e
pacman -Syu --noconfirm base-devel git ccache openblas fftw pulseaudio python-build libusb
git submodule update --init --recursive
pyproject-build
python -m venv .venv
source .venv/bin/activate
pip install pytest
pip install dist/lasp-*linux_x86_64.whl
pytest
