# ###################################### RtAudio
if(LASP_HAS_RTAUDIO)
    message("Building RtAudio backend")
    if(WIN32)
        set(RTAUDIO_API_WASAPI FALSE CACHE BOOL "Build for WASAPI backend")
		set(RTAUDIO_API_DS TRUE CACHE BOOL "Build for Directsound backend")
    else()
        set(RTAUDIO_API_PULSE TRUE CACHE BOOL "Build with PulseAudio backend")
        set(RTAUDIO_API_ALSA OFF CACHE BOOL "Do not build with Alsa backend")
        set(RTAUDIO_API_JACK OFF CACHE BOOL "Do not build with Jack backend")
    endif()
    set(RTAUDIO_BUILD_STATIC_LIBS ON CACHE BOOL "Build static libs for RtAudio" FORCE)
    add_subdirectory(${PROJECT_SOURCE_DIR}/third_party/rtaudio)
endif()
