#!/bin/bash
#
cmake . -G"Ninja" -DLASP_HAS_ULDAQ=OFF -DPython3_ROOT_DIR=C:\\winpython\\python-3.10.9.amd64
arch=ucrt64
#arch=mingw64

files_to_cpy="libfftw3-3.dll libgcc_s_seh-1.dll libgfortran-5.dll libgomp-1.dll libopenblas.dll libquadmath-0.dll libstdc++-6.dll libwinpthread-1.dll"

for fn in ${files_to_cpy}; do
	cp /c/msys64/${arch}/bin/${fn} src/lasp
done
