#!/bin/sh
#
#
# set default options for invoking pacman (in CI this variable is already set globally)
if [ -z $CI ]; then
    PACMAN_OPTIONS="--needed --noconfirm"
fi
# arch=mingw-w64-x86_64
arch=mingw-w64-ucrt-x86_64

pacman -S ${PACMAN_OPTIONS} make

deps="gcc ninja ccache cmake openblas fftw"
for dep in $deps; do
    pacman -S ${PACMAN_OPTIONS} ${arch}-${dep}
done


# install Python modules not provided as MSYS2/MinGW packages
#PACKAGES=""
#for arch in $(eval echo $ARCH); do
   #/mingw64/bin/pip3 install --upgrade ${PACKAGES}
#done